<?
include('cfg.php');
echo '<link rel="stylesheet" type="text/css" href="style.css"/><div class="head">['.$user[login].']</div>';

switch($_GET[a])
	{
    default:
    echo '<div class="money">';
	echo 'Магазин золота</div>';
	echo '<a class="razd" href="?a=buy">Купить золото</a>';
	echo '<a class="razd" href="?a=use">Купить услуги</a>
	<a class="razd" href="profile.php?a=clan&amp;d=create">Создать клан</a>
	<a class="razd" href="?a=general">Генерал</a>
	<a class="razd" href="./bag.php">Оплатил. Подать заявку.</a>
	';
	echo '<a class="razd" href="./save_load.php">Сохранения/Загрузка</a>';
	echo '<a class="razd" href="?a=rules">Правила использования</a>';
	echo '<div class="money">
		Реквизиты: </div><div class="money">
	<b>Webmoney</b>:<br />
	- R249831090506<br />
	- U192502222933<br />
	- Z184800481536</div><div class="money">
	<b>QIWI: </b> +7(926)3185843
	';
	echo '</div>';
    break;

	case 'use';
	echo '<div class="money">';
	echo 'Ваше золото: <b>'.$user['gold'].'</b><br />';
	echo 'За 1 золото вы можете купить:';
	echo '</div>';
	if (intval($_GET['type'])>='1' AND intval($_GET['type'])<='7')
		{
		if (intval($_GET['type'])=='1') {$type = 'workers'; 		$c=100;		}
		if (intval($_GET['type'])=='2') {$type = 'scientists'; 		$c=100;  	}
		if (intval($_GET['type'])=='3') {$type = 'iron'; 			$c=300;		}
		if (intval($_GET['type'])=='4') {$type = 'lumber'; 			$c=600;		}
		if (intval($_GET['type'])=='5') {$type = 'stone'; 			$c=400;		}
		if (intval($_GET['type'])=='6') {$type = 'grain';			$c=900;		}
		if (intval($_GET['type'])=='7') {$type = 'money';			$c=1500;		}

		$error = '';
		if (($user['gold_today'] >= '10') AND ($user['last_gold']+60*60*24)>$time) $error .= 'Вы уже потратили 10 золотых сегодня<br />';
		if (($user['gold_today'] >= '10') AND ($user['last_gold']+60*60*24)<=$time) mysql_query("UPDATE `users` SET `gold_today`='1' WHERE `id`='$id'");
		if ($user['gold'] < '1') $error .= 'У вас нет золота <br />';
		if (($user['time_reg']+60*60*24) > $time) $error .= 'Вы не можете покупать золото, пока ваша страна не просуществует 2ое суток<br />';
		if (($type!='workers' AND $type!='scientists') AND $freeplace<$c) $error .= 'Освободите место на складе<br />';
		if (empty($error))
			{
			echo '<div class="money">Вы успешно приобрели необходимую услугу!';
			mysql_query("UPDATE `users` SET `".$type."`=".$type."+'".$c."',`gold`=gold-'1' WHERE `id`='$id'");
			} else echo '<div class="money">'.$error;

		} else {
	echo '<a class="razd" href="?a=use&amp;type=1">100 рабочих</a>';
	echo '<a class="razd" href="?a=use&amp;type=2">100 ученых</a>';
	echo '<a class="razd" href="?a=use&amp;type=3">300 железа</a>';
	echo '<a class="razd" href="?a=use&amp;type=4">600 дерева</a>';
	echo '<a class="razd" href="?a=use&amp;type=5">400 камня</a>';
	echo '<a class="razd" href="?a=use&amp;type=6">900 зерна</a>';
	echo '<a class="razd" href="?a=use&amp;type=7">1500 денег</a>';
				}
	echo '</div><a class="razd" href="shop.php">Магазин</a>';
	break;


	case 'rules':
	echo '<div class="money">Правила использования золота</div><div class="money">';
	echo '1. Ваша страна существует более суток.<br />
	2. Нельзя использовать более 10 золотых в сутки<br />
	';
	echo '</div>';
	echo '</div><a class="razd" href="game.php">Магазин</a>';
	break;

	case 'general':
	echo '<div class="money">';
	$isset_general = mysql_result(mysql_query("SELECT count(*) FROM `general` WHERE `id_user`='$id'"),0);
	if ($isset_general != '0')
		{
		if ($user[gold] >= '10')
			{
			if (isset($_GET['accept']) AND intval($_GET['accept'])=='1')
				{
				mysql_query("UPDATE `general` SET `age`=age-'1' WHERE `id_user`='$id'");
				mysql_query("UPDATE `users` SET `gold`=gold-'10' WHERE `id`='$id'");
				echo 'Ваш генерал стал моложе на 1 год!<br /><a href="./shop.php">Назад</a>';
				} else {
			echo 'Омолодить генерала на 1 год? (стоимость 10 золотых)';
			echo '<br><a href="'.$self.'&amp;accept=1">Да</a>';
						}
			} else echo 'Для омоложения генерала необходимо не менее 10 золотых<br /><a href="./shop.php">Назад</a>';
		} else echo 'У вас нет генерала<br /><a href="./shop.php">Назад</a>';
	echo '</div>';
	break;


    case 'buy':
	echo '<div class="money">';
			//Если пользователь уже выбрал варик оплаты, то рассказываем как это сделать
			if ((intval($_GET['pay'])=='1' OR intval($_GET['pay'])=='2') AND intval($_GET['count']) >= '1' OR intval($_GET['count']) <= '999' AND (intval($_GET['v'])=='1' OR intval($_GET['v'])=='2' OR intval($_GET['v'])=='3'))
				{
				if (intval($_GET['v'])=='1') {$v = 'руб.'; $k=5;}
				if (intval($_GET['v'])=='2') {$v = 'грив.'; $k=1.5;}
				if (intval($_GET['v'])=='3') {$v = '$'; $k=0.15;}

				if (intval($_GET['pay'])=='1')
					{
					$summa = intval($_GET['count']*$k);
					echo 'Для того чтобы купить '.abs(intval($_GET['count'])).' зол., необходимо совершить платеж на сумму '.$summa.' '.$v.' на киви кошелек по номеру <b>+7(916)6571805</b>. После чего написать в раздел тикетов о совершении оплаты (для того чтобы начисление произошло максимально быстро, указывайте в примечаниях ваш логин, сумму). Вы получите золото в самое ближайшее время</div><a class="razd" href="./bag.php">Написать в тикет</a>
					<a class="razd" href="http://www.mindflow.su/zhizn/kak-polozhit-dengi-na-qiwi/">Подробная инструкция</a>';
					}
				if (intval($_GET['pay'])=='2')
					{
					if ($v == 'руб.') {$kosh = 'R249831090506'; $summa = intval($_GET['count']*$k);}
					if ($v == 'грив.') {$kosh = 'U192502222933'; $summa = intval($_GET['count']*$k);}
					if ($v == '$') {$kosh = 'Z184800481536'; $summa = round(($_GET['count']*$k), 6);}

					echo 'Для того чтобы купить '.abs(intval($_GET['count'])).' зол., необходимо совершить платеж на сумму '.$summa.' '.$v.' по WebMoney.  Кошелек для оплаты: <b>'.$kosh.'</b>. После чего написать в раздел тикетов о совершении оплаты (для того чтобы начисление произошло максимально быстро, указывайте в примечаниях ваш логин, сумму). Вы получите золото в самое ближайшее время</div><a class="razd" href="./bag.php">Написать в тикет</a>
					<a class="razd" href="http://kak-polojit-dengi-na-webmoney.blogspot.ru/">Подробная инструкция</a>';
					}
				} else {
	if (isset($_POST['pay']) AND isset($_POST['how']))
		{
		$how = abs(intval($_POST['how']));
		$pay = abs(intval($_POST['pay']));
		$error = '';
		if ($pay != '1' AND $pay != '2' AND $pay !='3') $error .= 'Неправильно выбрана валюта <br />';
		if ($how < '1' OR $how > '999') $error .= 'Неправильно выбрано количество золота';
		if (empty($error))
			{
			$q = 0; // киви кош
			$w = 0; // веб мани
			if ($pay == '1') {$q=1; $w=1;} // если выбраны рубли то можно оплатить с киви и вебмани
			if ($pay == '2') {$w=1;} // если гривны, то только вм
			if ($pay == '3') {$w=1;} // если баксы то только вм
			echo 'Для выбранной валюты подходят следующие варианты оплаты:<br />';

			//Далее указываем какие ему доступны средства оплаты:
			if ($q == 1) echo '- <a href="?a=buy&amp;pay=1&amp;count='.$how.'&amp;v='.$pay.'">QIWI</a><br />';
						 echo '- <a href="?a=buy&amp;pay=2&amp;count='.$how.'&amp;v='.$pay.'">WebMoney</a>';

			} else {
				   echo $error.'</div>';
				   }
		} else {
	echo 'Одна золотая монета стоит:<br />- 5 рублей или<br />- 1.5 гривен или<br />- 15 центов США</div><div class="money">';
	echo '<form method="POST" action="">Количество золота:<br />
	<input type="text" name="how"><br />
	Интересующая валюта:<br />
	<input type="radio" name="pay" value="1">Рубли<br />
	<input type="radio" name="pay" value="2">Гривны<br />
	<input type="radio" name="pay" value="3">Доллары<br />
	<input type="submit" value="Далее">
	</form>
	Купи <font color="red">10</font> золота и получи <font color="red">3</font> в <b>подарок</b>
	<br />Купи <font color="red">10</font> золота и получи <font color="red">3</font> в <b>подарок</b>
	<br />Купи <font color="red">20</font> золота и получи <font color="red">6</font> в <b>подарок</b>
	<br />Купи более <font color="red">40</font> золота и получи <font color="red">10</font> в <b>подарок</b>
	';
			   }
						}
    echo '</div><a class="razd" href="shop.php">Магазин</a>';
	echo '';
    break;
	}

echo '</div>';
echo '
<a class="razd" href="game.php">'.$iback.' Назад</a>
<a class="razd" href="exit.php">'.$iexit.' Выход</a>
<div class="footer"><center><a href="http://wapworld.pp.ua">© WapWorld Games</a><br/><br />
<script type="text/javascript" src="http://mobtop.ru/c/73888.js"></script><noscript><a href="http://mobtop.ru/in/73888"><img src="http://mobtop.ru/73888.gif" alt="MobTop.Ru - Рейтинг и статистика мобильных сайтов"/></a></noscript>
</div>
</body></html>
';


?>